Bug 189059 - my solution may not be acceptable, but it is the only way I have been able to get the touchscreen functioning
my solution may not be acceptable, but it is the only way I have been able to...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-15 02:41 EDT by guy fulton
Modified: 2014-03-16 22:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-17 13:39:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
this is the edited file (16.56 KB, application/octet-stream)
2006-04-15 02:41 EDT, guy fulton
no flags Details

  None (edit)
Description guy fulton 2006-04-15 02:41:09 EDT
Created attachment 127773 [details]
this is the edited file
Comment 1 guy fulton 2006-04-15 02:41:09 EDT
Description of problem: rc.serial is not called until line 565 in
/etc/rc.d/rc.sysinit  When using a tablet pc with graphical login GDM loads GUI
blocking serial port access needed for touchscreen. This is easily cured copying
lines 564-565 and placing them at line 180 setting serial port before GDM starts. 


Version-Release number of selected component (if applicable):
this has been a presistant through out all versions of Fedora and RedHat

How reproducible: every time


Steps to Reproduce:
1. create file /etc/rc.serial
2. edit file add setserial /dev/ttyS3 autoconfig
                 setserial /dev/ttyS3 uart 1654 irq 5 port 0xfd68
3. edit /etc/xorg.conf add Section "Input Device"
                             Identifier "Mouse0"
                             Driver "fpit"
                             Option "Device" "/dev/ttyS3"
                             Option "BaudRate" "9600"
                             Option "SendCoreEvents"
                            EndSection  
  
Actual results: execute /etc/rc.serial after GDM starts
 device or resorce is busy:


Expected results: touchscreen functions properly


Additional info: tablet used for gps mapping. With graphical boot and autologin
then all that is needed is touchscreen. after editing rc.sysinit as described it
functions perfectly.
Comment 2 Bill Nottingham 2006-04-17 13:39:01 EDT
Probably this is best moved to a udev rule that runs on the serial device
creation/coldplug.

Note You need to log in before you can comment on or make changes to this bug.